# KSPGetPreconditionerSide

Gets the preconditioning side.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetPreconditionerSide(KSP ksp,PCSide *side)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

side -the preconditioning side, where side is one of

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning
          PC_SYMMETRIC - symmetric preconditioning

### Keywords

KSP, get, right, left, symmetric, side, preconditioner, flag

### See Also

KSPSetPreconditionerSide()

Level:intermediate
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages